'''
Author: dmitriy Shelikhov
Email: dshelikhov@odin.com

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
SOFTWARE.
'''

customerData = {
                'providername':{
                                'URL':"https://cp.********.com",
                                'billingUrl':"https://pba.********.com",
                                'USERNAME':'cp_monitoring_user',
                                'PASSWORD':"***********",
                                'ITEM_HOST':'cp.united-hoster.de'
                }
}

def get_variables(customer):
	if customer in customerData:
		customerData[customer].setdefault('LOGIN_FRAME', 'loginFrame')
		customerData[customer].setdefault('LOGIN_CSS', 'css=#inp_user')
		customerData[customer].setdefault('PASSWORD_CSS', 'css=#inp_password')
		customerData[customer].setdefault('LOGIN_BUTTON', 'css=#login')
		customerData[customer].setdefault('LOGOUT_BUTTON', 'css=#topTxtLogout > a')
		customerData[customer].setdefault('BILLING_BUTTON', 'css=#to_bm')
		customerData[customer].setdefault('APM_LICENSE', '*********************************')
		return customerData.get(customer, False)
	else:
		return False


